import * as React from 'react';

declare function TabPanel({ children, render, unmount, ...props }: React.HTMLAttributes<HTMLDivElement> & {
    hidden: boolean;
} & ({
    render?: "always" | "idle";
    unmount?: "never";
} | {
    render?: "lazy";
    unmount?: "always" | "idle" | "never";
})): JSX.Element;

declare function useTabs<K extends string>(tabs: K[], defaultTab?: K | null): [K | null | undefined, React.Dispatch<React.SetStateAction<K | null | undefined>>];

export { TabPanel, useTabs };
